This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 109418 - install of ccm-tools rpm will not be happy if /usr/share/ccm/* exists
install of ccm-tools rpm will not be happy if /usr/share/ccm/* exists
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
nightly
All Linux
medium Severity low
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-07 12:59 EST by Dennis Gregorovic
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-04 14:37:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2003-11-07 12:59:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
The ccm-tools RPM sets up the default CCM_HOME at /usr/share/ccm. 
However, if this directory already exists (more accurately if certain
subdirectories exist) then the install will barf.

For exampe

15:10:02) jorrisbos: [root@localhost tmp]# rpm -ivh
ccm-tools-0.9.0-1.noarch.rpm
Preparing...               
########################################### [100%]
   1:ccm-tools             
########################################### [100%]
error: unpacking of archive failed on file /usr/share/ccm/webapps:
cpio: rename failed - Is a directory

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.mkdir -p /usr/share/ccm/webapps
2.rpm -ivh ccm-tools-0.9.0-1.noarch.rpm
3.
    

Actual Results:  # rpm -ivh ccm-tools-0.9.0-1.noarch.rpm
Preparing...               
########################################### [100%]
   1:ccm-tools             
########################################### [100%]
error: unpacking of archive failed on file /usr/share/ccm/webapps:
cpio: rename failed - Is a directory

Expected Results:  It either doesn't fail, or fails more gracefully

Additional info:

I'm marking this as low priority as the chances of someone running
into it are slim.
Comment 1 Dennis Gregorovic 2003-12-04 14:37:17 EST
This bug won't occur unless someone manually changes
/usr/share/ccm/webapps from a symlink to a directory.  We shouldn't
support that behavior.

Note You need to log in before you can comment on or make changes to this bug.